Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.internal
Class StandardQueryCacheFactory

    java.lang.Object
      org.hibernate.cache.internal.StandardQueryCacheFactory

All Implemented Interfaces:
  QueryCacheFactory

    public class StandardQueryCacheFactory

extends Object
implements QueryCacheFactory

Standard Hibernate implementation of the QueryCacheFactory interface. Returns instances of `StandardQueryCache`.

Constructor Summary
`StandardQueryCacheFactory()`

Method Summary
`QueryCache` | `getQueryCache(String regionName, UpdateTimestampsCache updateTimestampsCache, Settings settings, Properties props)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardQueryCacheFactory

    public StandardQueryCacheFactory()

Method Detail

### getQueryCache

    public QueryCache getQueryCache(String regionName,
                                    UpdateTimestampsCache updateTimestampsCache,
                                    Settings settings,
                                    Properties props)
                             throws HibernateException

  Specified by:
    `getQueryCache` in interface `QueryCacheFactory`
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.